## gst-plugins-good0.10-ogg 0.10.15-0maemo3%2b0m5.tk1

=== debian/changelog ===
gst-plugins-good0.10-ogg (0.10.15-0maemo3+0m5.tk1) unstable; urgency=low

  * Added flac component, removed the rest.
  * Changed source package name.

 -- Tuomas Kulve <tuomas@kulve.fi>  Sat, 19 Sep 2009 16:51:34 +0300

gst-plugins-good0.10 (0.10.15-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Wed, 10 Jun 2009 14:56:34 +0300

gst-plugins-good0.10 (0.10.15-0maemo3) unstable; urgency=low

  * rtspsrc: Decrease UDP receiving timeout from 5 to 2 seconds. Rtsp
    streams that have their UDP traffic blocked by the local network need
    to elapse this timeout before switching to TCP, and 5 seconds is quite
    long.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 08 Jun 2009 15:43:39 +0300

gst-plugins-good0.10 (0.10.15-0maemo2) unstable; urgency=low

  * rtpmp4gdepay: Fix AAC caps to prevent AAC parser getting plugged.
  * Fixes: NB#118886 - RTSP MP4 AAC streaming is not working

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 01 Jun 2009 14:49:10 +0300

gst-plugins-good0.10 (0.10.15-0maemo1) unstable; urgency=low

  * Drop fast tagreading implementations until they get updated to the new
    version.
  * Fix new pulsesink proplist patch.
  * Cherry-pick patch for pulsesink over/underflow warnings.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 25 May 2009 13:14:11 +0300

gst-plugins-good0.10 (0.10.14.3-0maemo1) unstable; urgency=low

  * New upstream pre-release. Fixes avi seeking.
  * Change pulsesink patch to expose the whole proplist instead of just
    the event-id.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 19 May 2009 17:59:21 +0300

gst-plugins-good0.10 (0.10.14.2-0maemo2) unstable; urgency=low

  * Fix h263 depayloader passing on corrupted data.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 18 May 2009 14:33:36 +0300

gst-plugins-good0.10 (0.10.14.2-0maemo1) unstable; urgency=low

  * New upstream pre-release.
  * pulsesink: Complete rewrite this time, getting rid of the internal
    ringbuffer (saves memory copy and one processing thread).
  * Fixes: NB#113660 - GStreamer audio inserts silence initially
  * avidemux: Dropped index table copy patch for now, need to resync with
    upstream.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 15 May 2009 15:40:31 +0300

gst-plugins-good0.10 (0.10.14-0maemo10) unstable; urgency=low

  * pulsesink: Fix double free of pa_proplist when the pulseaudio stream
    state goes bad.
  * Fixes: NB#111906 - pulsesink crashing on error

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 07 May 2009 18:07:50 +0300

gst-plugins-good0.10 (0.10.14-0maemo9) unstable; urgency=low

  * qtdemux: Fix classification tag byte order.
  * Fixes: NB#114180 - MP4 classification tag incorrect due to byte order
    problem

 -- Rene Stadler <rene.stadler@nokia.com>  Sat, 02 May 2009 00:17:54 +0300

gst-plugins-good0.10 (0.10.14-0maemo8) unstable; urgency=low

  * qtdemux: Fix location tags.
  * jpegdec: Implement QoS.
  * Fixes: NB#101758 - mjpeg+pcm encoded avi clip not playable over HTTP
  * Disable GObject cast checks and GStreamer logging (unless debug build
    option is given).

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 20 Apr 2009 14:19:44 +0300

gst-plugins-good0.10 (0.10.14-0maemo7) unstable; urgency=low

  * qtdemux: Add 3GPP metadata support (including classification).
  * Fixes: NB#101580 - MAFW_METADATA_KEY_VIDEO_SOURCE metadata isn't found

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 08 Apr 2009 14:48:43 +0300

gst-plugins-good0.10 (0.10.14-0maemo6) unstable; urgency=low

  * Improve error message for unsupported RealMedia RTSP extensions.
  * Fixes: NB#103615 - No error handling for RTSP streams with real media
  * Update qtdemux element to v0.10.14-113-g3360f44. Improves streaming,
    fixes memory leaks, seeking of unbalanced files.
  * Fix AAC/mp4 rtp streaming: memory leaks, skip aacparse, fix codec_data
  * Fixes: NB#102547 - Error in Decoding when streaming RTSP mp4 / 3gp
    audio file
  * Cherry-pick commits to fix Coverity warnings (udp, qtdemux, matroska).

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 31 Mar 2009 14:20:34 +0300

gst-plugins-good0.10 (0.10.14-0maemo5) unstable; urgency=low

  * Add XDG event name for pulsesink.

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 23 Mar 2009 16:42:50 +0200

gst-plugins-good0.10 (0.10.14-0maemo4) unstable; urgency=low

  * Add workaround for pulsesink breaking for VOIP call UI use case.
  * Pick pulsesink patch from upstream, improves clock skew.

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 19 Mar 2009 22:12:30 +0200

gst-plugins-good0.10 (0.10.14-0maemo3) unstable; urgency=low

  * souphttpsrc: Expose the SoupSession 'timeout' property.
  * Fixes: NB#102216 - Gstreamer doesn't stop when connectivity is lost

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 17 Mar 2009 21:07:49 +0200

gst-plugins-good0.10 (0.10.14-0maemo2) unstable; urgency=low

  * Ship quicktime plugin (libgstqtdemux.so) to get qtdemux, patched to
    have rank PRIMARY+1 to supersede old closed-source demuxer.
  * Fixes: NB#104423 - Cannot decode AAC audio from .mov files
  * Fixes: NB#103195 - UPNP:m4a playback not happening
  * Fixes: NB#91664 - Metadata decoding error with one .m4a file

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 16 Mar 2009 20:09:11 +0200

gst-plugins-good0.10 (0.10.14-0maemo1) unstable; urgency=low

  * Update to upstream release 0.10.14.
  * pulsesrc, pulsesink: Rewrite of pulse plugin. This now corks the
    streams in paused state, which fixes inducing a constant CPU load into
    the pulse daemon. Also changes the volume property to control the
    stream volume.
  * Fixes: NB#105039 - [pulsesink] Need to cork pulseaudio stream when
    paused
  * Fixes: NB#100879 - [pulsesink] crashes gst-launch -v
  * New elements: autovideosrc, autoaudiosrc, aspectratiocrop.
  * avimux: Improved tags handling, fix possible crash.

