## gst-plugins-good0.10-ogg 0.10.15-0maemo3%2b0m5.tk1.nb1

=== debian/changelog ===
gst-plugins-good0.10-ogg (0.10.15-0maemo3+0m5.tk1.nb1) unstable; urgency=low

  * Added flac seek capability

 -- Nikolay Bryskin <devel.niks@gmail.com>  Mon, 13 Dec 2010 13:14:18 +0300
